# 三个绑定函数
## PreSummon
### 原型
Debug.PreSummon(卡, 召唤类型[, 从哪个区域特召到场上])
***
~~~
● void Debug.PreSummon(Card c, int sum_type[, int sum_location=0])
设置卡片 c 的召唤信息：以 sum_type 方法(通常召唤、特殊召唤等)[从 sum_location]出场
~~~
### 召唤类型的可选值
1. SUMMON_TYPE_NORMAL
1. SUMMON_TYPE_ADVANCE
1. SUMMON_TYPE_DUAL
1. SUMMON_TYPE_FLIP
1. SUMMON_TYPE_SPECIAL
1. SUMMON_TYPE_FUSION
1. SUMMON_TYPE_RITUAL
1. SUMMON_TYPE_SYNCHRO
1. SUMMON_TYPE_XYZ
1. SUMMON_TYPE_PENDULUM
1. SUMMON_TYPE_LINK
***
~~~
--Summon Type --召唤类型
SUMMON_TYPE_NORMAL		=0x10000000 --通常召唤(EFFECT_SUMMON_PROC,EFFECT_SET_PROC 可用 Value 修改數值)
SUMMON_TYPE_ADVANCE		=0x11000000 --上级召唤
SUMMON_TYPE_DUAL		=0x12000000	--再度召唤（二重）
SUMMON_TYPE_FLIP		=0x20000000	--翻转召唤
SUMMON_TYPE_SPECIAL		=0x40000000	--特殊召唤(EFFECT_SPSUMMON_PROC,EFFECT_SPSUMMON_PROC_G 可用 Value 修改數值)
SUMMON_TYPE_FUSION		=0x43000000	--融合召唤
SUMMON_TYPE_RITUAL		=0x45000000	--仪式召唤
SUMMON_TYPE_SYNCHRO		=0x46000000	--同调召唤
SUMMON_TYPE_XYZ			=0x49000000	--超量召唤
SUMMON_TYPE_PENDULUM	=0x4a000000 --灵摆召唤
SUMMON_TYPE_LINK		=0x4c000000 --连接召唤
~~~
### 从哪个区域特召到场上的可选值
1. LOCATION_DECK
1. LOCATION_HAND
1. LOCATION_GRAVE
1. LOCATION_REMOVED
1. LOCATION_EXTRA
***
~~~
LOCATION_DECK		=0x01		--卡组
LOCATION_HAND		=0x02		--手牌
LOCATION_MZONE		=0x04		--主要怪兽区(0~4)+额外怪兽区(5~6)
LOCATION_SZONE		=0x08		--魔陷区(0~4)+场地区(5)
LOCATION_GRAVE		=0x10		--墓地
LOCATION_REMOVED	=0x20		--除外区
LOCATION_EXTRA		=0x40		--额外
LOCATION_OVERLAY	=0x80		--超量素材
LOCATION_ONFIELD	=0x0c		--场上（LOCATION_MZONE+LOCATION_SZONE）
~~~
### 补充
可参考 X-LV-48 。
## PreEquip
### 原型
Debug.PreEquip(装备魔法卡, 怪兽卡)
***
~~~
● bool Debug.PreEquip(Card equip_card, Card target)
为 target 添加装备 equip_card ，返回值表示是否成功
~~~
### 补充
1. 可参考 NH-04
1. 不能以怪兽装备怪兽
## PreSetTarget
### 原型
Debug.PreSetTarget(保护卡, 被保护的卡)
***
~~~
● void Debug.PreSetTarget(Card c, Card target)
把 target 选为 c 的永续对象
~~~
### 补充
1. 必须在布局完成之后再使用。
1. 可参考 NH-04 。
